
Redmine - Defect #22863

Page not found error on Homepage

2016-05-20 15:23 - Gregor Sušanj

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.3

Description

Greetings,

after a long process to setup the Redmine server on Centos 7 I hit a wall.

Whenever I visit the homepage https://redmine.someurl.com it returns a Page not found.

All subpages work properly (I "guessed" https://redmine.someurl.com/projects), I can edit my profile information and create new

projects.

I can not find a suitable category to fit this issue into.

History

#1 - 2016-05-20 15:44 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2016-05-20 19:02 - Gregor Sušanj

I am sorry, for some reason I chose the wrong version, its 3.2.2

Environment:

Redmine version                3.2.2.stable

Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

Rails version                  4.2.5.2

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_oauth_provider         0.0.5

Also Error log:

Started GET "/index.html" for XX.XX.XX.XX at 2016-05-20 19:01:07 +0200

ActionController::RoutingError (No route matches [GET] "/index.html"):

actionpack (4.2.5.2) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

actionpack (4.2.5.2) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

railties (4.2.5.2) lib/rails/rack/logger.rb:38:in `call_app'

railties (4.2.5.2) lib/rails/rack/logger.rb:20:in `block in call'

activesupport (4.2.5.2) lib/active_support/tagged_logging.rb:68:in `block in tagged'

activesupport (4.2.5.2) lib/active_support/tagged_logging.rb:26:in `tagged'

activesupport (4.2.5.2) lib/active_support/tagged_logging.rb:68:in `tagged'

railties (4.2.5.2) lib/rails/rack/logger.rb:20:in `call'

actionpack (4.2.5.2) lib/action_dispatch/middleware/request_id.rb:21:in `call'

rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'

rack (1.6.4) lib/rack/runtime.rb:18:in `call'

activesupport (4.2.5.2) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'

actionpack (4.2.5.2) lib/action_dispatch/middleware/static.rb:116:in `call'

rack (1.6.4) lib/rack/sendfile.rb:113:in `call'

railties (4.2.5.2) lib/rails/engine.rb:518:in `call'

railties (4.2.5.2) lib/rails/application.rb:165:in `call'

railties (4.2.5.2) lib/rails/railtie.rb:194:in `public_send'

railties (4.2.5.2) lib/rails/railtie.rb:194:in `method_missing'
/usr/share/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:97:in `process_request'

/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:152:in `accept_and_process_next_request'

/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:113:in `main_loop'

/usr/share/ruby/vendor_ruby/phusion_passenger/request_handler.rb:416:in `block (3 levels) in start_threads'

/usr/share/ruby/vendor_ruby/phusion_passenger/utils.rb:113:in `block in create_thread_and_abort_on_exception'

#3 - 2016-05-21 05:30 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Top page is not index.html.

#4 - 2016-05-24 09:18 - Gregor Sušanj

Toshi MARUYAMA wrote:

Top page is not index.html.

 Hi, then what should be? According to the included .htaccess file, there should be a index.html?

Because if default configuration with fresh installation does not work, there is something wrong.

#5 - 2016-05-24 12:40 - Toshi MARUYAMA

Please use forum for question.
